This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1023770 - SELinux is preventing /usr/libexec/gstreamer-1.0/gst-plugin-scanner from using the 'dac_override' capabilities.
SELinux is preventing /usr/libexec/gstreamer-1.0/gst-plugin-scanner from usin...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
abrt_hash:36ffed17a1164879967def1535c...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-27 15:06 EDT by Marco Künzli
Modified: 2013-10-29 07:57 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-29 07:57:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Marco Künzli 2013-10-27 15:06:13 EDT
Description of problem:
SELinux is preventing /usr/libexec/gstreamer-1.0/gst-plugin-scanner from using the 'dac_override' capabilities.

*****  Plugin dac_override (91.4 confidence) suggests  ***********************

If sie überprüfen wollen, ob Domäne diesen Zugriff benötigt oder Sie eine Datei mit den falschen Berechtigungen auf Ihrem System haben
Then aktivieren Sie die vollständige Audit-Funktion, um die Pfad-Information der problematischen Datei zu erhalten. Dann reproduzieren Sie den Fehler erneut.
Do

Volle Audit-Funktion aktivieren
# auditctl -w /etc/shadow -p w
Versuchen Sie AVC zu reproduzieren. Führen Sie dann folgendes aus
# ausearch -m avc -ts recent
Falls PATH record ersichtlich ist, überprüfen Sie Eigentümer/ Berechtigungen der Datei und korrigieren Sie dies,
anderenfalls melden Sie dies an Bugzilla.

*****  Plugin catchall (9.59 confidence) suggests  ***************************

If sie denken, dass gst-plugin-scanner standardmäßig dac_override Berechtigung haben sollten.
Then sie sollten dies als Fehler melden.
Um diesen Zugriff zu erlauben, können Sie ein lokales Richtlinien-Modul erstellen.
Do
zugriff jetzt erlauben, indem Sie die nachfolgenden Befehle ausführen:
# grep gst-plugin-scan /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

Additional Information:
Source Context                unconfined_u:unconfined_r:thumb_t:s0-s0:c0.c1023
Target Context                unconfined_u:unconfined_r:thumb_t:s0-s0:c0.c1023
Target Objects                 [ capability ]
Source                        gst-plugin-scan
Source Path                   /usr/libexec/gstreamer-1.0/gst-plugin-scanner
Port                          <Unbekannt>
Host                          (removed)
Source RPM Packages           totem-3.8.2-1.fc19.x86_64
Target RPM Packages           
Policy RPM                    selinux-policy-3.12.1-74.10.fc19.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Host Name                     (removed)
Platform                      Linux (removed) 3.11.6-200.fc19.x86_64 #1 SMP Fri
                              Oct 18 22:34:18 UTC 2013 x86_64 x86_64
Alert Count                   2
First Seen                    2013-10-27 20:02:55 CET
Last Seen                     2013-10-27 20:03:00 CET
Local ID                      fa764fe5-9874-4196-a29d-93d747a358cf

Raw Audit Messages
type=AVC msg=audit(1382900580.552:544): avc:  denied  { dac_override } for  pid=2715 comm="totem-video-thu" capability=1  scontext=unconfined_u:unconfined_r:thumb_t:s0-s0:c0.c1023 tcontext=unconfined_u:unconfined_r:thumb_t:s0-s0:c0.c1023 tclass=capability


type=AVC msg=audit(1382900580.552:544): avc:  denied  { dac_read_search } for  pid=2715 comm="totem-video-thu" capability=2  scontext=unconfined_u:unconfined_r:thumb_t:s0-s0:c0.c1023 tcontext=unconfined_u:unconfined_r:thumb_t:s0-s0:c0.c1023 tclass=capability


type=SYSCALL msg=audit(1382900580.552:544): arch=x86_64 syscall=stat success=no exit=EACCES a0=c78b50 a1=7fff43cbdb40 a2=7fff43cbdb40 a3=0 items=0 ppid=2660 pid=2715 auid=1000 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 ses=1 tty=pts0 comm=totem-video-thu exe=/usr/bin/totem-video-thumbnailer subj=unconfined_u:unconfined_r:thumb_t:s0-s0:c0.c1023 key=(null)

Hash: gst-plugin-scan,thumb_t,thumb_t,capability,dac_override

Additional info:
reporter:       libreport-2.1.8
hashmarkername: setroubleshoot
kernel:         3.11.6-200.fc19.x86_64
type:           libreport

Potential duplicate: bug 823210
Comment 1 Miroslav Grepl 2013-10-29 07:57:22 EDT
You run X apps as root which is not supported.

uid=0

Note You need to log in before you can comment on or make changes to this bug.